pub mod admin;
pub mod auth;
pub mod authors;
pub mod bookmarks;
pub mod chapters;
pub mod collections;
pub mod files;
pub mod genres;
pub mod health;
pub mod history;
pub mod mangas;
pub mod page_tags;
pub mod pagination;
pub mod reactions;
pub mod tags;

use axum::Router;

use crate::app::AppState;

pub fn routes() -> Router<AppState> {
    Router::new()
        .merge(health::routes())
        .merge(mangas::routes())
        .merge(chapters::routes())
        .merge(files::routes())
        .merge(auth::routes())
        .merge(bookmarks::routes())
        .merge(genres::routes())
        .merge(tags::routes())
        .merge(authors::routes())
        .merge(collections::routes())
        .merge(page_tags::routes())
        .merge(history::routes())
        .merge(reactions::routes())
        .merge(admin::routes())
}
